Package org.eclipse.birt.chart.model.component

# Interface Scale

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `ScaleImpl`

public interface Scale extends IChartObject
A representation of the model object 'Scale'. This type defines the scale associated with an axis.

The following features are supported:

- `Min`
- `Max`
- `Step`
- `Unit`
- `Minor Grids Per Unit`
- `Step Number`
- `Show Outside`
- `Tick Between Categories`
- `Auto Expand`
- `Major Grids Step Number`
- `Factor`

See Also:
  - `ComponentPackage.getScale()`

## Method Summary

Modifier and Type
Method
Description
`Scale`
`copyInstance()`
`double`
`getFactor()`
Returns the value of the 'Factor' attribute.
`int`
`getMajorGridsStepNumber()`
Returns the value of the 'Major Grids Step Number' attribute.
`DataElement`
`getMax()`
Returns the value of the 'Max' containment reference.
`DataElement`
`getMin()`
Returns the value of the 'Min' containment reference.
`int`
`getMinorGridsPerUnit()`
Returns the value of the 'Minor Grids Per Unit' attribute.
`double`
`getStep()`
Returns the value of the 'Step' attribute.
`int`
`getStepNumber()`
Returns the value of the 'Step Number' attribute.
`ScaleUnitType`
`getUnit()`
Returns the value of the 'Unit' attribute.
`boolean`
`isAutoExpand()`
Returns the value of the 'Auto Expand' attribute.
`boolean`
`isSetAutoExpand()`
Returns whether the value of the '`Auto Expand`' attribute is set.
`boolean`
`isSetFactor()`
Returns whether the value of the '`Factor`' attribute is set.
`boolean`
`isSetMajorGridsStepNumber()`
Returns whether the value of the '`Major Grids Step Number`' attribute is set.
`boolean`
`isSetMinorGridsPerUnit()`
Returns whether the value of the '`Minor Grids Per Unit`' attribute is set.
`boolean`
`isSetShowOutside()`
Returns whether the value of the '`Show Outside`' attribute is set.
`boolean`
`isSetStep()`
Returns whether the value of the '`Step`' attribute is set.
`boolean`
`isSetStepNumber()`
Returns whether the value of the '`Step Number`' attribute is set.
`boolean`
`isSetTickBetweenCategories()`
Returns whether the value of the '`Tick Between Categories`' attribute is set.
`boolean`
`isSetUnit()`
Returns whether the value of the '`Unit`' attribute is set.
`boolean`
`isShowOutside()`
Returns the value of the 'Show Outside' attribute.
`boolean`
`isTickBetweenCategories()`
Returns the value of the 'Tick Between Categories' attribute.
`void`
`setAutoExpand(boolean value)`
Sets the value of the '`Auto Expand`' attribute.
`void`
`setFactor(double value)`
Sets the value of the '`Factor`' attribute.
`void`
`setMajorGridsStepNumber(int value)`
Sets the value of the '`Major Grids Step Number`' attribute.
`void`
`setMax(DataElement value)`
Sets the value of the '`Max`' containment reference.
`void`
`setMin(DataElement value)`
Sets the value of the '`Min`' containment reference.
`void`
`setMinorGridsPerUnit(int value)`
Sets the value of the '`Minor Grids Per Unit`' attribute.
`void`
`setShowOutside(boolean value)`
Sets the value of the '`Show Outside`' attribute.
`void`
`setStep(double value)`
Sets the value of the '`Step`' attribute.
`void`
`setStepNumber(int value)`
Sets the value of the '`Step Number`' attribute.
`void`
`setTickBetweenCategories(boolean value)`
Sets the value of the '`Tick Between Categories`' attribute.
`void`
`setUnit(ScaleUnitType value)`
Sets the value of the '`Unit`' attribute.
`void`
`unsetAutoExpand()`
Unsets the value of the '`Auto Expand`' attribute.
`void`
`unsetFactor()`
Unsets the value of the '`Factor`' attribute.
`void`
`unsetMajorGridsStepNumber()`
Unsets the value of the '`Major Grids Step Number`' attribute.
`void`
`unsetMinorGridsPerUnit()`
Unsets the value of the '`Minor Grids Per Unit`' attribute.
`void`
`unsetShowOutside()`
Unsets the value of the '`Show Outside`' attribute.
`void`
`unsetStep()`
Unsets the value of the '`Step`' attribute.
`void`
`unsetStepNumber()`
Unsets the value of the '`Step Number`' attribute.
`void`
`unsetTickBetweenCategories()`
Unsets the value of the '`Tick Between Categories`' attribute.
`void`
`unsetUnit()`
Unsets the value of the '`Unit`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getMin

DataElement getMin()
Returns the value of the 'Min' containment reference. Gets the minimum value that will appear on the axis. Minimum value that should appear on the axis.

Returns:
  the value of the 'Min' containment reference.
See Also:
  - `setMin(DataElement)`
  - `ComponentPackage.getScale_Min()`

### setMin

void setMin(DataElement value)
Sets the value of the '`Min`' containment reference.

Parameters:
  `value` - the new value of the 'Min' containment reference.
See Also:
  - `getMin()`

### getMax

DataElement getMax()
Returns the value of the 'Max' containment reference. Gets the maximum value that will appear on the axis. Maximum value that should appear on the axis.

Returns:
  the value of the 'Max' containment reference.
See Also:
  - `setMax(DataElement)`
  - `ComponentPackage.getScale_Max()`

### setMax

void setMax(DataElement value)
Sets the value of the '`Max`' containment reference.

Parameters:
  `value` - the new value of the 'Max' containment reference.
See Also:
  - `getMax()`

### getStep

double getStep()
Returns the value of the 'Step' attribute. Gets the stepping in the values shown on the axis. Stepping in the values shown on the axis.

Returns:
  the value of the 'Step' attribute.
See Also:
  - `isSetStep()`
  - `unsetStep()`
  - `setStep(double)`
  - `ComponentPackage.getScale_Step()`

### setStep

void setStep(double value)
Sets the value of the '`Step`' attribute.

Parameters:
  `value` - the new value of the 'Step' attribute.
See Also:
  - `isSetStep()`
  - `unsetStep()`
  - `getStep()`

### unsetStep

void unsetStep()
Unsets the value of the '`Step`' attribute.

See Also:
  - `isSetStep()`
  - `getStep()`
  - `setStep(double)`

### isSetStep

boolean isSetStep()
Returns whether the value of the '`Step`' attribute is set.

Returns:
  whether the value of the 'Step' attribute is set.
See Also:
  - `unsetStep()`
  - `getStep()`
  - `setStep(double)`

### getUnit

ScaleUnitType getUnit()
Returns the value of the 'Unit' attribute. The default value is `"Seconds"`. The literals are from the enumeration `ScaleUnitType`. Stepping in the values shown on the axis.

Returns:
  the value of the 'Unit' attribute.
See Also:
  - `ScaleUnitType`
  - `isSetUnit()`
  - `unsetUnit()`
  - `setUnit(ScaleUnitType)`
  - `ComponentPackage.getScale_Unit()`

### setUnit

void setUnit(ScaleUnitType value)
Sets the value of the '`Unit`' attribute.

Parameters:
  `value` - the new value of the 'Unit' attribute.
See Also:
  - `ScaleUnitType`
  - `isSetUnit()`
  - `unsetUnit()`
  - `getUnit()`

### unsetUnit

void unsetUnit()
Unsets the value of the '`Unit`' attribute.

See Also:
  - `isSetUnit()`
  - `getUnit()`
  - `setUnit(ScaleUnitType)`

### isSetUnit

boolean isSetUnit()
Returns whether the value of the '`Unit`' attribute is set.

Returns:
  whether the value of the 'Unit' attribute is set.
See Also:
  - `unsetUnit()`
  - `getUnit()`
  - `setUnit(ScaleUnitType)`

### getMinorGridsPerUnit

int getMinorGridsPerUnit()
Returns the value of the 'Minor Grids Per Unit' attribute. Specifies the number of minor grids per unit of the scale.

Returns:
  the value of the 'Minor Grids Per Unit' attribute.
See Also:
  - `isSetMinorGridsPerUnit()`
  - `unsetMinorGridsPerUnit()`
  - `setMinorGridsPerUnit(int)`
  - `ComponentPackage.getScale_MinorGridsPerUnit()`

### setMinorGridsPerUnit

void setMinorGridsPerUnit(int value)
Sets the value of the '`Minor Grids Per Unit`' attribute.

Parameters:
  `value` - the new value of the 'Minor Grids Per Unit' attribute.
See Also:
  - `isSetMinorGridsPerUnit()`
  - `unsetMinorGridsPerUnit()`
  - `getMinorGridsPerUnit()`

### unsetMinorGridsPerUnit

void unsetMinorGridsPerUnit()
Unsets the value of the '`Minor Grids Per Unit`' attribute.

See Also:
  - `isSetMinorGridsPerUnit()`
  - `getMinorGridsPerUnit()`
  - `setMinorGridsPerUnit(int)`

### isSetMinorGridsPerUnit

boolean isSetMinorGridsPerUnit()
Returns whether the value of the '`Minor Grids Per Unit`' attribute is set.

Returns:
  whether the value of the 'Minor Grids Per Unit' attribute is set.
See Also:
  - `unsetMinorGridsPerUnit()`
  - `getMinorGridsPerUnit()`
  - `setMinorGridsPerUnit(int)`

### getStepNumber

int getStepNumber()
Returns the value of the 'Step Number' attribute. Number of steps in the values shown on the axis.

Returns:
  the value of the 'Step Number' attribute.
See Also:
  - `isSetStepNumber()`
  - `unsetStepNumber()`
  - `setStepNumber(int)`
  - `ComponentPackage.getScale_StepNumber()`

### setStepNumber

void setStepNumber(int value)
Sets the value of the '`Step Number`' attribute.

Parameters:
  `value` - the new value of the 'Step Number' attribute.
See Also:
  - `isSetStepNumber()`
  - `unsetStepNumber()`
  - `getStepNumber()`

### unsetStepNumber

void unsetStepNumber()
Unsets the value of the '`Step Number`' attribute.

See Also:
  - `isSetStepNumber()`
  - `getStepNumber()`
  - `setStepNumber(int)`

### isSetStepNumber

boolean isSetStepNumber()
Returns whether the value of the '`Step Number`' attribute is set.

Returns:
  whether the value of the 'Step Number' attribute is set.
See Also:
  - `unsetStepNumber()`
  - `getStepNumber()`
  - `setStepNumber(int)`

### isShowOutside

boolean isShowOutside()
Returns the value of the 'Show Outside' attribute. The default value is `"false"`. Indicates if it shows values outside Axis range.

Returns:
  the value of the 'Show Outside' attribute.
See Also:
  - `isSetShowOutside()`
  - `unsetShowOutside()`
  - `setShowOutside(boolean)`
  - `ComponentPackage.getScale_ShowOutside()`

### setShowOutside

void setShowOutside(boolean value)
Sets the value of the '`Show Outside`' attribute.

Parameters:
  `value` - the new value of the 'Show Outside' attribute.
See Also:
  - `isSetShowOutside()`
  - `unsetShowOutside()`
  - `isShowOutside()`

### unsetShowOutside

void unsetShowOutside()
Unsets the value of the '`Show Outside`' attribute.

See Also:
  - `isSetShowOutside()`
  - `isShowOutside()`
  - `setShowOutside(boolean)`

### isSetShowOutside

boolean isSetShowOutside()
Returns whether the value of the '`Show Outside`' attribute is set.

Returns:
  whether the value of the 'Show Outside' attribute is set.
See Also:
  - `unsetShowOutside()`
  - `isShowOutside()`
  - `setShowOutside(boolean)`

### isTickBetweenCategories

boolean isTickBetweenCategories()
Returns the value of the 'Tick Between Categories' attribute. The default value is `"true"`. Specifes if the major tick is rendered at the category value or between two categories. This only affects the category and text style axis.

Returns:
  the value of the 'Tick Between Categories' attribute.
See Also:
  - `isSetTickBetweenCategories()`
  - `unsetTickBetweenCategories()`
  - `setTickBetweenCategories(boolean)`
  - `ComponentPackage.getScale_TickBetweenCategories()`

### setTickBetweenCategories

void setTickBetweenCategories(boolean value)
Sets the value of the '`Tick Between Categories`' attribute.

Parameters:
  `value` - the new value of the 'Tick Between Categories' attribute.
See Also:
  - `isSetTickBetweenCategories()`
  - `unsetTickBetweenCategories()`
  - `isTickBetweenCategories()`

### unsetTickBetweenCategories

void unsetTickBetweenCategories()
Unsets the value of the '`Tick Between Categories`' attribute.

See Also:
  - `isSetTickBetweenCategories()`
  - `isTickBetweenCategories()`
  - `setTickBetweenCategories(boolean)`

### isSetTickBetweenCategories

boolean isSetTickBetweenCategories()
Returns whether the value of the '`Tick Between Categories`' attribute is set.

Returns:
  whether the value of the 'Tick Between Categories' attribute is set.
See Also:
  - `unsetTickBetweenCategories()`
  - `isTickBetweenCategories()`
  - `setTickBetweenCategories(boolean)`

### isAutoExpand

boolean isAutoExpand()
Returns the value of the 'Auto Expand' attribute. The default value is `"true"`. Specifes if min/max value should be expanded by 1 unit, by default is true.

Returns:
  the value of the 'Auto Expand' attribute.
See Also:
  - `isSetAutoExpand()`
  - `unsetAutoExpand()`
  - `setAutoExpand(boolean)`
  - `ComponentPackage.getScale_AutoExpand()`

### setAutoExpand

void setAutoExpand(boolean value)
Sets the value of the '`Auto Expand`' attribute.

Parameters:
  `value` - the new value of the 'Auto Expand' attribute.
See Also:
  - `isSetAutoExpand()`
  - `unsetAutoExpand()`
  - `isAutoExpand()`

### unsetAutoExpand

void unsetAutoExpand()
Unsets the value of the '`Auto Expand`' attribute.

See Also:
  - `isSetAutoExpand()`
  - `isAutoExpand()`
  - `setAutoExpand(boolean)`

### isSetAutoExpand

boolean isSetAutoExpand()
Returns whether the value of the '`Auto Expand`' attribute is set.

Returns:
  whether the value of the 'Auto Expand' attribute is set.
See Also:
  - `unsetAutoExpand()`
  - `isAutoExpand()`
  - `setAutoExpand(boolean)`

### getMajorGridsStepNumber

int getMajorGridsStepNumber()
Returns the value of the 'Major Grids Step Number' attribute. The default value is `"1"`. Specify the step number of axis grid lines.

Returns:
  the value of the 'Major Grids Step Number' attribute.
See Also:
  - `isSetMajorGridsStepNumber()`
  - `unsetMajorGridsStepNumber()`
  - `setMajorGridsStepNumber(int)`
  - `ComponentPackage.getScale_MajorGridsStepNumber()`

### setMajorGridsStepNumber

void setMajorGridsStepNumber(int value)
Sets the value of the '`Major Grids Step Number`' attribute.

Parameters:
  `value` - the new value of the 'Major Grids Step Number' attribute.
See Also:
  - `isSetMajorGridsStepNumber()`
  - `unsetMajorGridsStepNumber()`
  - `getMajorGridsStepNumber()`

### unsetMajorGridsStepNumber

void unsetMajorGridsStepNumber()
Unsets the value of the '`Major Grids Step Number`' attribute.

See Also:
  - `isSetMajorGridsStepNumber()`
  - `getMajorGridsStepNumber()`
  - `setMajorGridsStepNumber(int)`

### isSetMajorGridsStepNumber

boolean isSetMajorGridsStepNumber()
Returns whether the value of the '`Major Grids Step Number`' attribute is set.

Returns:
  whether the value of the 'Major Grids Step Number' attribute is set.
See Also:
  - `unsetMajorGridsStepNumber()`
  - `getMajorGridsStepNumber()`
  - `setMajorGridsStepNumber(int)`

### getFactor

double getFactor()
Returns the value of the 'Factor' attribute. Specifies the fixed scaling factor.

Returns:
  the value of the 'Factor' attribute.
See Also:
  - `isSetFactor()`
  - `unsetFactor()`
  - `setFactor(double)`
  - `ComponentPackage.getScale_Factor()`

### setFactor

void setFactor(double value)
Sets the value of the '`Factor`' attribute.

Parameters:
  `value` - the new value of the 'Factor' attribute.
See Also:
  - `isSetFactor()`
  - `unsetFactor()`
  - `getFactor()`

### unsetFactor

void unsetFactor()
Unsets the value of the '`Factor`' attribute.

See Also:
  - `isSetFactor()`
  - `getFactor()`
  - `setFactor(double)`

### isSetFactor

boolean isSetFactor()
Returns whether the value of the '`Factor`' attribute is set.

Returns:
  whether the value of the 'Factor' attribute is set.
See Also:
  - `unsetFactor()`
  - `getFactor()`
  - `setFactor(double)`

### copyInstance

Scale copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`